''
''
'' libvlc_media_list -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#Ifndef __libvlc_media_list_bi__
#define __libvlc_media_list_bi__

#define LIBVLC_MEDIA_LIST_H 1

Type libvlc_media_list_t As Any

Declare Sub libvlc_media_list_release Cdecl Alias "libvlc_media_list_release" (ByVal p_ml As libvlc_media_list_t Ptr)
Declare Sub libvlc_media_list_retain Cdecl Alias "libvlc_media_list_retain" (ByVal p_ml As libvlc_media_list_t Ptr)
Declare Function libvlc_media_list_add_file_content Cdecl Alias "libvlc_media_list_add_file_content" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal psz_uri As ZString Ptr) As Integer
Declare Sub libvlc_media_list_set_media Cdecl Alias "libvlc_media_list_set_media" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal p_md As libvlc_media_t Ptr)
Declare Function libvlc_media_list_add_media Cdecl Alias "libvlc_media_list_add_media" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal p_md As libvlc_media_t Ptr) As Integer
Declare Function libvlc_media_list_insert_media Cdecl Alias "libvlc_media_list_insert_media" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal p_md As libvlc_media_t Ptr, ByVal i_pos As Integer) As Integer
Declare Function libvlc_media_list_remove_index Cdecl Alias "libvlc_media_list_remove_index" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal i_pos As Integer) As Integer
Declare Function libvlc_media_list_count Cdecl Alias "libvlc_media_list_count" (ByVal p_ml As libvlc_media_list_t Ptr) As Integer
Declare Function libvlc_media_list_index_of_item Cdecl Alias "libvlc_media_list_index_of_item" (ByVal p_ml As libvlc_media_list_t Ptr, ByVal p_md As libvlc_media_t Ptr) As Integer
Declare Function libvlc_media_list_is_readonly Cdecl Alias "libvlc_media_list_is_readonly" (ByVal p_ml As libvlc_media_list_t Ptr) As Integer
Declare Sub libvlc_media_list_lock Cdecl Alias "libvlc_media_list_lock" (ByVal p_ml As libvlc_media_list_t Ptr)
Declare Sub libvlc_media_list_unlock Cdecl Alias "libvlc_media_list_unlock" (ByVal p_ml As libvlc_media_list_t Ptr)
Declare Function libvlc_media_list_event_manager Cdecl Alias "libvlc_media_list_event_manager" (p_ml As libvlc_media_list_t Ptr) As libvlc_event_manager_t Ptr
Declare Function libvlc_media_list_item_at_index Cdecl Alias "libvlc_media_list_item_at_index" (p_ml As libvlc_media_list_t Ptr, i_pos As Integer) As libvlc_media_t Ptr
Declare Function libvlc_media_list_media Cdecl Alias "libvlc_media_list_media" (p_ml As libvlc_media_list_t Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_list_new Cdecl Alias "libvlc_media_list_new" (p_instance As libvlc_instance_t Ptr) As libvlc_media_t Ptr

#EndIf
