''
''
'' libvlc_media_list_player -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#Ifndef __libvlc_media_list_player_bi__
#define __libvlc_media_list_player_bi__

#define LIBVLC_MEDIA_LIST_PLAYER_H 1

Type libvlc_media_list_player_t As Any

Enum libvlc_playback_mode_t
	libvlc_playback_mode_default
	libvlc_playback_mode_loop
	libvlc_playback_mode_repeat
End Enum

Declare Sub libvlc_media_list_player_release Cdecl Alias "libvlc_media_list_player_release" (ByVal p_mlp As libvlc_media_list_player_t Ptr)
Declare Sub libvlc_media_list_player_set_media_player Cdecl Alias "libvlc_media_list_player_set_media_player" (ByVal p_mlp As libvlc_media_list_player_t Ptr, ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_list_player_set_media_list Cdecl Alias "libvlc_media_list_player_set_media_list" (ByVal p_mlp As libvlc_media_list_player_t Ptr, ByVal p_mlist As libvlc_media_list_t Ptr)
Declare Sub libvlc_media_list_player_play Cdecl Alias "libvlc_media_list_player_play" (ByVal p_mlp As libvlc_media_list_player_t Ptr)
Declare Sub libvlc_media_list_player_pause Cdecl Alias "libvlc_media_list_player_pause" (ByVal p_mlp As libvlc_media_list_player_t Ptr)
Declare Function libvlc_media_list_player_is_playing Cdecl Alias "libvlc_media_list_player_is_playing" (ByVal p_mlp As libvlc_media_list_player_t Ptr) As Integer
Declare Function libvlc_media_list_player_play_item_at_index Cdecl Alias "libvlc_media_list_player_play_item_at_index" (ByVal p_mlp As libvlc_media_list_player_t Ptr, ByVal i_index As Integer) As Integer
Declare Function libvlc_media_list_player_play_item Cdecl Alias "libvlc_media_list_player_play_item" (ByVal p_mlp As libvlc_media_list_player_t Ptr, ByVal p_md As libvlc_media_t Ptr) As Integer
Declare Sub libvlc_media_list_player_stop Cdecl Alias "libvlc_media_list_player_stop" (ByVal p_mlp As libvlc_media_list_player_t Ptr)
Declare Function libvlc_media_list_player_next Cdecl Alias "libvlc_media_list_player_next" (ByVal p_mlp As libvlc_media_list_player_t Ptr) As Integer
Declare Function libvlc_media_list_player_previous Cdecl Alias "libvlc_media_list_player_previous" (ByVal p_mlp As libvlc_media_list_player_t Ptr) As Integer
Declare Sub libvlc_media_list_player_set_playback_mode Cdecl Alias "libvlc_media_list_player_set_playback_mode" (ByVal p_mlp As libvlc_media_list_player_t Ptr, ByVal e_mode As libvlc_playback_mode_t)
Declare Function libvlc_media_list_player_event_manager Cdecl Alias "libvlc_media_list_player_event_manager" (p_mlp As libvlc_media_list_player_t Ptr) As libvlc_event_manager_t Ptr
Declare Function libvlc_media_list_player_get_state Cdecl Alias "libvlc_media_list_player_get_state" (p_mlp As libvlc_media_list_player_t Ptr) As libvlc_state_t Ptr
Declare Function libvlc_media_list_player_new Cdecl Alias "libvlc_media_list_player_new" (p_instance As libvlc_instance_t Ptr) As libvlc_media_list_player_t Ptr
Declare Sub libvlc_media_list_player_retain Cdecl Alias "libvlc_media_list_player_retain" (p_mlp As libvlc_media_list_player_t Ptr)

#EndIf
