''
''
'' libvlc_media_player -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#Ifndef __libvlc_media_player_bi__
#define __libvlc_media_player_bi__

#define VLC_LIBVLC_MEDIA_PLAYER_H 1

Type libvlc_media_player_t As Any

Type libvlc_track_description_t
	i_id As Integer
	psz_name As ZString Ptr
	p_next As libvlc_track_description_t Ptr
End Type

Type libvlc_audio_output_t
	psz_name As ZString Ptr
	psz_description As ZString Ptr
	p_next As libvlc_audio_output_t Ptr
End Type

Type libvlc_rectangle_t
	top As Integer
	Left As Integer
	bottom As Integer
	Right As Integer
End Type

Enum libvlc_video_marquee_option_t
	libvlc_marquee_Enable = 0
	libvlc_marquee_Text
	libvlc_marquee_Color
	libvlc_marquee_Opacity
	libvlc_marquee_Position
	libvlc_marquee_Refresh
	libvlc_marquee_Size
	libvlc_marquee_Timeout
	libvlc_marquee_X
	libvlc_marquee_Y
End Enum

Declare Sub libvlc_media_player_release Cdecl Alias "libvlc_media_player_release" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_player_retain Cdecl Alias "libvlc_media_player_retain" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_player_set_media Cdecl Alias "libvlc_media_player_set_media" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal p_md As libvlc_media_t Ptr)
Declare Function libvlc_media_player_is_playing Cdecl Alias "libvlc_media_player_is_playing" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_play Cdecl Alias "libvlc_media_player_play" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_media_player_pause Cdecl Alias "libvlc_media_player_pause" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_player_stop Cdecl Alias "libvlc_media_player_stop" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_player_set_nsobject Cdecl Alias "libvlc_media_player_set_nsobject" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal drawable As Any Ptr)
Declare Function libvlc_media_player_get_nsobject Cdecl Alias "libvlc_media_player_get_nsobject" (ByVal p_mi As libvlc_media_player_t Ptr) As Any Ptr
Declare Sub libvlc_media_player_set_agl Cdecl Alias "libvlc_media_player_set_agl" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal drawable As uint32_t)
Declare Sub libvlc_media_player_set_xwindow Cdecl Alias "libvlc_media_player_set_xwindow" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal drawable As uint32_t)
Declare Sub libvlc_media_player_set_hwnd Cdecl Alias "libvlc_media_player_set_hwnd" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal drawable As Any Ptr)
Declare Function libvlc_media_player_get_hwnd Cdecl Alias "libvlc_media_player_get_hwnd" (ByVal p_mi As libvlc_media_player_t Ptr) As Any Ptr
Declare Sub libvlc_media_player_set_time Cdecl Alias "libvlc_media_player_set_time" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_time As libvlc_time_t)
Declare Function libvlc_media_player_get_position Cdecl Alias "libvlc_media_player_get_position" (ByVal p_mi As libvlc_media_player_t Ptr) As Single
Declare Sub libvlc_media_player_set_position Cdecl Alias "libvlc_media_player_set_position" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal f_pos As Single)
Declare Sub libvlc_media_player_set_chapter Cdecl Alias "libvlc_media_player_set_chapter" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_chapter As Integer)
Declare Function libvlc_media_player_get_chapter Cdecl Alias "libvlc_media_player_get_chapter" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_get_chapter_count Cdecl Alias "libvlc_media_player_get_chapter_count" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_will_play Cdecl Alias "libvlc_media_player_will_play" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_get_chapter_count_for_title Cdecl Alias "libvlc_media_player_get_chapter_count_for_title" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_title As Integer) As Integer
Declare Sub libvlc_media_player_set_title Cdecl Alias "libvlc_media_player_set_title" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_title As Integer)
Declare Function libvlc_media_player_get_title Cdecl Alias "libvlc_media_player_get_title" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_get_title_count Cdecl Alias "libvlc_media_player_get_title_count" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_media_player_previous_chapter Cdecl Alias "libvlc_media_player_previous_chapter" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_media_player_next_chapter Cdecl Alias "libvlc_media_player_next_chapter" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Function libvlc_media_player_get_rate Cdecl Alias "libvlc_media_player_get_rate" (ByVal p_mi As libvlc_media_player_t Ptr) As Single
Declare Function libvlc_media_player_set_rate Cdecl Alias "libvlc_media_player_set_rate" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal rate As Single) As Integer
Declare Function libvlc_media_player_get_fps Cdecl Alias "libvlc_media_player_get_fps" (ByVal p_mi As libvlc_media_player_t Ptr) As Single
Declare Function libvlc_media_player_has_vout Cdecl Alias "libvlc_media_player_has_vout" (ByVal p_mi As libvlc_media_player_t Ptr) As UInteger
Declare Function libvlc_media_player_is_seekable Cdecl Alias "libvlc_media_player_is_seekable" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_media_player_can_pause Cdecl Alias "libvlc_media_player_can_pause" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_media_player_next_frame Cdecl Alias "libvlc_media_player_next_frame" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_track_description_release Cdecl Alias "libvlc_track_description_release" (ByVal p_track_description As libvlc_track_description_t Ptr)
Declare Sub libvlc_toggle_fullscreen Cdecl Alias "libvlc_toggle_fullscreen" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Sub libvlc_set_fullscreen Cdecl Alias "libvlc_set_fullscreen" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal b_fullscreen As Integer)
Declare Function libvlc_get_fullscreen Cdecl Alias "libvlc_get_fullscreen" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_video_set_key_input Cdecl Alias "libvlc_video_set_key_input" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal On As UInteger)
Declare Sub libvlc_video_set_mouse_input Cdecl Alias "libvlc_video_set_mouse_input" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal On As UInteger)
Declare Function libvlc_video_get_size Cdecl Alias "libvlc_video_get_size" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal num As UInteger, ByVal px As UInteger Ptr, ByVal py As UInteger Ptr) As Integer
Declare Function libvlc_video_get_height Cdecl Alias "libvlc_video_get_height" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_get_width Cdecl Alias "libvlc_video_get_width" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_get_cursor Cdecl Alias "libvlc_video_get_cursor" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal num As UInteger, ByVal px As Integer Ptr, ByVal py As Integer Ptr) As Integer
Declare Function libvlc_video_get_scale Cdecl Alias "libvlc_video_get_scale" (ByVal p_mi As libvlc_media_player_t Ptr) As Single
Declare Sub libvlc_video_set_scale Cdecl Alias "libvlc_video_set_scale" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal f_factor As Single)
Declare Function libvlc_video_get_aspect_ratio Cdecl Alias "libvlc_video_get_aspect_ratio" (ByVal p_mi As libvlc_media_player_t Ptr) As ZString Ptr
Declare Sub libvlc_video_set_aspect_ratio Cdecl Alias "libvlc_video_set_aspect_ratio" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_aspect As ZString Ptr)
Declare Function libvlc_video_get_spu Cdecl Alias "libvlc_video_get_spu" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_get_spu_count Cdecl Alias "libvlc_video_get_spu_count" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_set_spu Cdecl Alias "libvlc_video_set_spu" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_spu As UInteger) As Integer
Declare Function libvlc_video_set_subtitle_file Cdecl Alias "libvlc_video_set_subtitle_file" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_subtitle As ZString Ptr) As Integer
Declare Function libvlc_video_get_crop_geometry Cdecl Alias "libvlc_video_get_crop_geometry" (ByVal p_mi As libvlc_media_player_t Ptr) As ZString Ptr
Declare Sub libvlc_video_set_crop_geometry Cdecl Alias "libvlc_video_set_crop_geometry" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_geometry As ZString Ptr)
Declare Function libvlc_video_get_teletext Cdecl Alias "libvlc_video_get_teletext" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_video_set_teletext Cdecl Alias "libvlc_video_set_teletext" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_page As Integer)
Declare Sub libvlc_toggle_teletext Cdecl Alias "libvlc_toggle_teletext" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Function libvlc_video_get_track_count Cdecl Alias "libvlc_video_get_track_count" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_get_track Cdecl Alias "libvlc_video_get_track" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_video_set_track Cdecl Alias "libvlc_video_set_track" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_track As Integer) As Integer
Declare Function libvlc_video_take_snapshot Cdecl Alias "libvlc_video_take_snapshot" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal num As UInteger, ByVal psz_filepath As ZString Ptr, ByVal i_width As UInteger, ByVal i_height As UInteger) As Integer
Declare Sub libvlc_video_set_deinterlace Cdecl Alias "libvlc_video_set_deinterlace" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_mode As ZString Ptr)
Declare Function libvlc_video_get_marquee_int Cdecl Alias "libvlc_video_get_marquee_int" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger) As Integer
Declare Function libvlc_video_get_marquee_string Cdecl Alias "libvlc_video_get_marquee_string" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger) As ZString Ptr
Declare Sub libvlc_video_set_marquee_int Cdecl Alias "libvlc_video_set_marquee_int" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger, ByVal i_val As Integer)
Declare Sub libvlc_video_set_marquee_string Cdecl Alias "libvlc_video_set_marquee_string" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger, ByVal psz_text As ZString Ptr)

Enum libvlc_video_logo_option_t
	libvlc_logo_enable
	libvlc_logo_file
	libvlc_logo_x
	libvlc_logo_y
	libvlc_logo_delay
	libvlc_logo_repeat
	libvlc_logo_opacity
	libvlc_logo_position
End Enum

Declare Function libvlc_video_get_logo_int Cdecl Alias "libvlc_video_get_logo_int" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger) As Integer
Declare Sub libvlc_video_set_logo_int Cdecl Alias "libvlc_video_set_logo_int" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger, ByVal value As Integer)
Declare Sub libvlc_video_set_logo_string Cdecl Alias "libvlc_video_set_logo_string" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal option As UInteger, ByVal psz_value As ZString Ptr)

Enum libvlc_audio_output_device_types_t
	libvlc_AudioOutputDevice_Error = -1
	libvlc_AudioOutputDevice_Mono = 1
	libvlc_AudioOutputDevice_Stereo = 2
	libvlc_AudioOutputDevice_2F2R = 4
	libvlc_AudioOutputDevice_3F2R = 5
	libvlc_AudioOutputDevice_5_1 = 6
	libvlc_AudioOutputDevice_6_1 = 7
	libvlc_AudioOutputDevice_7_1 = 8
	libvlc_AudioOutputDevice_SPDIF = 10
End Enum


Enum libvlc_audio_output_channel_t
	libvlc_AudioChannel_Error = -1
	libvlc_AudioChannel_Stereo = 1
	libvlc_AudioChannel_RStereo = 2
	libvlc_AudioChannel_Left = 3
	libvlc_AudioChannel_Right = 4
	libvlc_AudioChannel_Dolbys = 5
End Enum

Enum libvlc_position_t
	libvlc_position_disable=-1
	libvlc_position_center
	libvlc_position_left
	libvlc_position_right
	libvlc_position_top
	libvlc_position_top_left
	libvlc_position_top_right
	libvlc_position_bottom
	libvlc_position_bottom_left
	libvlc_position_bottom_right
End Enum

Type libvlc_audio_output_device_t
	p_next As libvlc_audio_output_device_t Ptr
	psz_device As ZString Ptr
	psz_description As ZString Ptr
End Type

Type libvlc_audio_play_cb As Sub (Data As Any Ptr, samples As Any Ptr, count As UInteger, pts As int64_t)
Type libvlc_audio_pause_cb As Sub (Data As Any Ptr, pts As int64_t)
Type libvlc_audio_resume_cb As Sub (Data As Any Ptr, pts As int64_t)
Type libvlc_audio_flush_cb As Sub (Data As Any Ptr, pts As int64_t)
Type libvlc_audio_drain_cb As Sub (Data As Any Ptr)
Type libvlc_audio_setup_cb As Sub (Data As Any Ptr Ptr,	Format As ZString Ptr, rate As UInteger Ptr, channels As UInteger Ptr)
Type libvlc_audio_cleanup_cb As Sub (Data As Any Ptr)
Type libvlc_audio_set_volume_cb As Sub (Data As Any Ptr, volume As Single, mute As Integer)
Type libvlc_video_lock_cb As Sub (opaque As Any Ptr, planes As Any Ptr Ptr) Ptr
Type libvlc_video_unlock_cb As Sub (opaque As Any Ptr, picture As Any Ptr, planes As Any Ptr Ptr)
Type libvlc_video_display_cb As Sub (opaque As Any Ptr, picture As Any Ptr)
Type libvlc_video_format_cb As Function (opaque As Any Ptr Ptr, chroma As ZString Ptr, _
                                         Width As UInteger Ptr, height As UInteger Ptr, _
                                         pitches As UInteger Ptr, lines As UInteger Ptr) As UInteger

Type libvlc_video_cleanup_cb As Sub (opaque As Any Ptr)

Declare Sub libvlc_audio_output_list_release Cdecl Alias "libvlc_audio_output_list_release" (ByVal p_list As libvlc_audio_output_t Ptr)
Declare Function libvlc_audio_output_set Cdecl Alias "libvlc_audio_output_set" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_name As ZString Ptr) As Integer
Declare Function libvlc_audio_output_device_count Cdecl Alias "libvlc_audio_output_device_count" (ByVal p_instance As libvlc_instance_t Ptr, ByVal psz_audio_output As ZString Ptr) As Integer
Declare Function libvlc_audio_output_device_longname Cdecl Alias "libvlc_audio_output_device_longname" (ByVal p_instance As libvlc_instance_t Ptr, ByVal psz_audio_output As ZString Ptr, ByVal i_device As Integer) As ZString Ptr
Declare Function libvlc_audio_output_device_id Cdecl Alias "libvlc_audio_output_device_id" (ByVal p_instance As libvlc_instance_t Ptr, ByVal psz_audio_output As ZString Ptr, ByVal i_device As Integer) As ZString Ptr
Declare Sub libvlc_audio_output_device_set Cdecl Alias "libvlc_audio_output_device_set" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal psz_audio_output As ZString Ptr, ByVal psz_device_id As ZString Ptr)
Declare Function libvlc_audio_output_get_device_type Cdecl Alias "libvlc_audio_output_get_device_type" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_audio_output_set_device_type Cdecl Alias "libvlc_audio_output_set_device_type" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal device_type As Integer)
Declare Sub libvlc_audio_toggle_mute Cdecl Alias "libvlc_audio_toggle_mute" (ByVal p_mi As libvlc_media_player_t Ptr)
Declare Function libvlc_audio_get_mute Cdecl Alias "libvlc_audio_get_mute" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Sub libvlc_audio_set_mute Cdecl Alias "libvlc_audio_set_mute" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal status As Integer)
Declare Function libvlc_audio_get_volume Cdecl Alias "libvlc_audio_get_volume" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_audio_set_volume Cdecl Alias "libvlc_audio_set_volume" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_volume As Integer) As Integer
Declare Function libvlc_audio_get_track_count Cdecl Alias "libvlc_audio_get_track_count" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_audio_get_track Cdecl Alias "libvlc_audio_get_track" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_audio_set_track Cdecl Alias "libvlc_audio_set_track" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal i_track As Integer) As Integer
Declare Function libvlc_audio_get_channel Cdecl Alias "libvlc_audio_get_channel" (ByVal p_mi As libvlc_media_player_t Ptr) As Integer
Declare Function libvlc_audio_set_channel Cdecl Alias "libvlc_audio_set_channel" (ByVal p_mi As libvlc_media_player_t Ptr, ByVal channel As Integer) As Integer
Declare Function libvlc_audio_get_delay Cdecl Alias "libvlc_audio_get_delay" (ByVal p_mi As libvlc_media_player_t Ptr) As int64_t
Declare Function libvlc_audio_get_track_description Cdecl Alias "libvlc_audio_get_track_description" (ByVal p_mi As libvlc_media_player_t Ptr) As libvlc_track_description_t Ptr
Declare Function libvlc_audio_output_device_list_get Cdecl Alias "libvlc_audio_output_device_list_get" (p_instance As libvlc_instance_t Ptr, aout As ZString Ptr) As libvlc_audio_output_device_t Ptr
Declare Function libvlc_audio_output_list_get Cdecl Alias "libvlc_audio_output_list_get" (p_instance As libvlc_instance_t Ptr) As libvlc_audio_output_t Ptr
Declare Sub libvlc_audio_output_device_list_release Cdecl Alias "libvlc_audio_output_device_list_release" (p_list As libvlc_audio_output_device_t Ptr)
Declare Sub libvlc_audio_set_callbacks Cdecl Alias "libvlc_audio_set_callbacks" _
                                      (mp As libvlc_media_player_t Ptr, _
                                       play As libvlc_audio_play_cb Ptr, _
                                       pause As libvlc_audio_pause_cb Ptr, _
                                       Resume As libvlc_audio_resume_cb Ptr, _
                                       flush As libvlc_audio_flush_cb Ptr, _
                                       drain As libvlc_audio_drain_cb Ptr, _
                                       opaque As Any Ptr)
Declare Function libvlc_audio_set_delay Cdecl Alias "libvlc_audio_set_delay" (p_mi As libvlc_media_player_t Ptr, i_delay As int64_t) As Integer
Declare Sub libvlc_audio_set_format Cdecl Alias "libvlc_audio_set_format" (mp As libvlc_media_player_t Ptr, Format As ZString Ptr, rate As UInteger, channels As UInteger)
Declare Sub libvlc_audio_set_format_callbacks Cdecl Alias "libvlc_audio_set_format_callbacks" (mp As libvlc_media_player_t Ptr, setup As libvlc_audio_setup_cb, cleanup As libvlc_audio_cleanup_cb)
Declare Sub libvlc_audio_set_volume_callback Cdecl Alias "libvlc_audio_set_volume_callback" (mp As libvlc_media_player_t Ptr, set_volume As libvlc_audio_set_volume_cb)
Declare Function libvlc_media_player_event_manager Cdecl Alias "libvlc_media_player_event_manager" (p_mi As libvlc_media_player_t Ptr) As libvlc_event_manager_t Ptr
Declare Function libvlc_media_player_get_agl Cdecl Alias "libvlc_media_player_get_agl" (p_mi As libvlc_media_player_t Ptr) As uint32_t
Declare Function libvlc_media_player_get_length Cdecl Alias "libvlc_media_player_get_length" (p_mi As libvlc_media_player_t Ptr) As libvlc_time_t
Declare Function libvlc_media_player_get_media Cdecl Alias "libvlc_media_player_get_media" (p_mi As libvlc_media_player_t Ptr) As libvlc_media_t Ptr
Declare Function libvlc_media_player_get_state Cdecl Alias "libvlc_media_player_get_state" (p_mi As libvlc_media_player_t Ptr) As libvlc_state_t
Declare Function libvlc_media_player_get_time Cdecl Alias "libvlc_media_player_get_time" (p_mi As libvlc_media_player_t Ptr) As libvlc_time_t
Declare Function libvlc_media_player_get_xwindow Cdecl Alias "libvlc_media_player_get_xwindow" (p_mi As libvlc_media_player_t Ptr) As uint32_t
Declare Sub libvlc_media_player_navigate Cdecl Alias "libvlc_media_player_navigate" (p_mi As libvlc_media_player_t Ptr, navigate As UInteger)
Declare Function libvlc_media_player_new Cdecl Alias "libvlc_media_player_new" (p_libvlc_instance As libvlc_instance_t Ptr) As libvlc_media_player_t Ptr
Declare Function libvlc_media_player_new_from_media Cdecl Alias "libvlc_media_player_new_from_media" (p_md As libvlc_media_t Ptr) As libvlc_media_player_t Ptr
Declare Sub libvlc_media_player_set_pause Cdecl Alias "libvlc_media_player_set_pause" (mp As libvlc_media_player_t Ptr, do_pause As Integer)
Declare Sub libvlc_media_player_set_video_title_display Cdecl Alias "libvlc_media_player_set_video_title_display" (p_mi As libvlc_media_player_t Ptr, position As libvlc_position_t, timeout As UInteger)
Declare Sub libvlc_track_description_list_release Cdecl Alias "libvlc_track_description_list_release" (p_track_description As libvlc_track_description_t Ptr)
Declare Function libvlc_video_get_adjust_float Cdecl Alias "libvlc_video_get_adjust_float" (p_mi As libvlc_media_player_t Ptr, option As UInteger) As Single
Declare Function libvlc_video_get_adjust_int Cdecl Alias "libvlc_video_get_adjust_int" (p_mi As libvlc_media_player_t Ptr, option As UInteger) As Integer
Declare Function libvlc_video_get_chapter_description Cdecl Alias "libvlc_video_get_chapter_description" (p_mi As libvlc_media_player_t Ptr, i_title As Integer) As libvlc_track_description_t
Declare Function libvlc_video_get_spu_delay Cdecl Alias "libvlc_video_get_spu_delay" (p_mi As libvlc_media_player_t Ptr) As int64_t
Declare Function libvlc_video_get_spu_description Cdecl Alias "libvlc_video_get_spu_description" (p_mi As libvlc_media_player_t Ptr) As libvlc_track_description_t
Declare Function libvlc_video_get_title_description Cdecl Alias "libvlc_video_get_title_description" (p_mi As libvlc_media_player_t Ptr) As libvlc_track_description_t
Declare Function libvlc_video_get_track_description Cdecl Alias "libvlc_video_get_track_description" (p_mi As libvlc_media_player_t Ptr) As libvlc_track_description_t
Declare Sub libvlc_video_set_adjust_float Cdecl Alias "libvlc_video_set_adjust_float" (p_mi As libvlc_media_player_t Ptr, option As UInteger, value As Single)
Declare Sub libvlc_video_set_adjust_int Cdecl Alias "libvlc_video_set_adjust_int" (p_mi As libvlc_media_player_t Ptr, option As UInteger, value As Integer)
Declare Sub libvlc_video_set_callbacks Cdecl Alias "libvlc_video_set_callbacks" _
                                       (mp As libvlc_media_player_t Ptr, _
                                        Lock As libvlc_video_lock_cb, _
                                        UnLock As libvlc_video_unlock_cb, _
                                        display As libvlc_video_display_cb, _
                                        opaque As Any Ptr)
Declare Sub libvlc_video_set_format Cdecl Alias "libvlc_video_set_format" _
                                    (mp As libvlc_media_player_t Ptr, _
                                     chroma As ZString Ptr, _
                                     Width As UInteger, _
                                     height As UInteger, _
                                     pitch As UInteger)
Declare Sub libvlc_video_set_format_callbacks Cdecl Alias "libvlc_video_set_format_callbacks" _
                                              (mp As libvlc_media_player_t Ptr, _
                                               setup As libvlc_video_format_cb, _
                                               cleanup As libvlc_video_cleanup_cb)
Declare Function libvlc_video_set_spu_delay Cdecl Alias "libvlc_video_set_spu_delay" (p_mi As libvlc_media_player_t Ptr, i_delay As int64_t) As Integer

#EndIf
