'Example of a VERY basic media player using libVLC 

#define VLCpath "C:\Program files\freeBasic-1_03_0\inc\vlc" 'Replace with the path where
                         'the "libvlc.dll.a" and the "plugin" - directory is to be found
#LibPath VLCpath
#Include "vlc\vlc.bi" 'Include the libVLC header files

Dim instance As libvlc_instance_t Ptr
Dim media As libvlc_media_t Ptr
Dim mediaPlayer As libvlc_media_player_t Ptr
Dim myMediaFile As String

Print "libVLC version: "; *libvlc_get_version() 'The current libVLC version
Print

SetEnviron ("VLC_PLUGIN_PATH=" + VLCpath + "\plugins")
Print "Plugin path: "; Environ ("VLC_PLUGIN_PATH")
Print

instance = libvlc_new (0, NULL) 'Load the VLC engine
If instance = 0 Then
	Print "*** libVLC initialisation failed ***"
	Print "press any key"
	Sleep
  End
EndIf
     
myMediaFile = "C:\myTestingMediaFile.mp3" 'Replace with the file you want to play. May be any
                                          ' media file (audio or video) libVLC can handle
Print "Media file: ";myMediaFile
Print
media = libvlc_media_new_path(instance, myMediaFile) 'Load media file
mediaPlayer = libvlc_media_player_new_from_media(media) 'Create a media player playing environement
libvlc_media_release(media) 'No need to keep the media now
libvlc_media_player_play(mediaPlayer) 'Play the media

Print "     press any key to quit"
Sleep 'Let it play a bit

libvlc_media_player_stop(mediaPlayer) 'Stop playing
libvlc_media_player_release(mediaPlayer) 'Free the media_player
libvlc_release(instance) 'Free the VLC engine
