#Include "dir.bi"

Dim As Integer comment, x, y, z, a, e, count1, count2
Dim As String path, file, g, procname, g2
ReDim As String h(0), bi(0), t(0)

path = Left(ExePath,InStrRev(ExePath,"\"))
file = Dir(path & "*.h")

Do 'read .h and .bi - files
	Open path & file For Input As #2
	Do 'read .h - file
		ReDim Preserve h(UBound(h) + 1)
		Line Input #2, h(UBound(h))
		h(UBound(h)) = Trim(h(UBound(h)))
	Loop Until Eof(2)
	Close 2
	
	Open path & Left(file,InStrRev(file,".")) & "bi" For Input As #2 'open corresponding .bi - file
	Do 'read procedure names from .bi - file
		Line Input #2, g
		If Trim(Left(LCase(g),7)) = "declare" Then
			a = InStr(g," ")
			a = InStr(a+1,g," ")
			g = Mid(g,a+1)
			If Right(g,1) = "_" Then
				Do
					g += Chr(13,10)
					Line Input #2, g2
					g += g2
				Loop While Right(g,1) = "_"
			EndIf
			ReDim Preserve bi(UBound(bi) + 1)
			bi(UBound(bi)) = g
		EndIf
	Loop Until Eof(2)
	Close 2
	file = Dir("") 'next .h - file
Loop Until file = ""
Close
	
comment = 0

For x = 1 To UBound(h) 'search all procedure names
	g = LCase(h(x))

	'ignore comments
	If Left(g,1) = "/" Then
		comment = 1
	EndIf
	If Right(g,1) = "/" Then
		comment = 0
		Continue For
	EndIf
	If comment Then
		Continue For
	EndIf
	
	If (comment <> 0) Or _ 'comment
		 (Left(g,1) = "#") Or _ 'preprocessor
		 (InStr(g,"(") = 0) Then 'no procedure
		Do While Right(g,1) = "\"
			x += 1
			g = LCase(h(x))
		Loop
		Continue For
	EndIf
			
	Select Case Left(g,InStr(g," ") - 1)
		Case "enum","typedef","extern" 'no procedure
			Do While Right(g,1) = "\"
				x += 1
				g = LCase(h(x))
			Loop
			Continue For
			
	End Select
	
	'search procedure name
	count1 += 1
	y = x
	g = ""
	Do 'complete statement
		g += h(y)
		y += 1
	Loop Until Right(g,1) = ";"
	e = InStr(g,"(")
	If e = 0 Then
		Continue For
	EndIf
	Do 'search last character of the procedure name
		e -= 1
		If e = 0 Then
			Continue For
		EndIf
	Loop While Mid(g,e,1) = " "
	a = InStrRev(g,Any " *",e)
	g = Mid(g,a + 1,e-a) 'isolate procedure name
			
	For z = 1 To UBound(bi) 'get procedure name from the .bi - array
		If Left(bi(z),InStr(bi(z),Any " (") - 1) = g Then
			g = Mid(bi(z),InStr(bi(z),g))
			Exit For
		EndIf
	Next
	ReDim Preserve t(UBound(t) + 1)
	t(UBound(t)) = g
	
		
	Do 'search for beginning of the comment
		y -= 1
	Loop Until Left(Trim(h(y)),1) = "/"
	y += 1
	Do 'write comments to array
		ReDim Preserve t(UBound(t) + 1)
		t(UBound(t)) = h(y)
		y += 1
	Loop Until Right(Trim(h(y)),1) = "/"
	ReDim Preserve t(UBound(t) + 1)
Next
Close

Open path & "description.txt" For Output As #1
Open ExePath & "\libvlc.def" For Input As #2

Print "MISSING PROCEDURES:"
Print

Do
	Line Input #2,g
Loop Until g = "EXPORTS"
Do 'write prozedures to file in alphabetical order
	Line Input #2,g 'procedure name
	Print #1,g
	
	For x = 1 To UBound(t) 'search t - array
		If Left(t(x),InStr(t(x),Any " (") - 1) = g Then 'procedure found
			count2 += 1
			Print #1,""
			Do 'write procedure name with comment to text file
				Print #1,t(x)
				x += 1
			Loop Until t(x) = ""
			Print #1, ""
			Print #1, "==================================="
			Exit For
		EndIf
	Next
	If x > UBound(t) Then
		Print #1," *** procedure not found ***"
		Print #1, ""
		Print #1, "==================================="
		Print g
	EndIf
Loop Until Eof(2)
Close
Print
Print count2;" /";count1;" procedures"
Sleep
