/'*****************************************************************************
 * vlc.h: global header for libvlc
 *****************************************************************************
 * Copyright (C) 1998-2008 the VideoLAN team
 * $Id: 73b4922a757242cf954b153516768000a9e5db9f $
 *
 * Authors: Vincent Seguin <seguin@via.ecp.fr>
 *          Samuel Hocevar <sam@zoy.org>
 *          Gildas Bazin <gbazin@netcourrier.com>
 *          Derk-Jan Hartman <hartman at videolan dot org>
 *          Pierre d'Herbemont <pdherbemont@videolan.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************'/

#Ifndef __vlc_bi__
#define __vlc_bi__

#define VLC_VLC_H 1

'* This file defines libvlc new external API

#Ifndef NULL
 #Define NULL 0
#EndIf

#Include Once "crt\stdint.bi"
#Include Once "vlc/libvlc_structures.bi"
#Include Once "vlc/libvlc.bi"
#Include Once "vlc/libvlc_media.bi"
#Include Once "vlc/libvlc_media_player.bi"
#Include Once "vlc/libvlc_media_list.bi"
#Include Once "vlc/libvlc_media_list_player.bi"
#Include Once "vlc/libvlc_media_library.bi"
#Include Once "vlc/libvlc_media_discoverer.bi"
#Include Once "vlc/libvlc_events.bi"
#Include Once "vlc/libvlc_vlm.bi"
#Include Once "vlc/deprecated.bi"

#Inclib "vlc"

#EndIf
